:root {
    --brand-background: linear-gradient(-30deg, #ffaa87 0%, #ff958f 100%);
    --topbar-height: 66px;
    --default-shadow: 0 2px 1px rgba(0, 0, 0, 0.1);
}

::-webkit-scrollbar-track {
    background-color: #f4f4f4;
}

::-webkit-scrollbar {
    width: 4px;
}

::-webkit-scrollbar-thumb {
    background: var(--brand-background);
}

*::selection {
    background: #ff958f;
    color: white;
}

/* Input photo */

.inputfile {
    overflow: hidden;
    position: absolute;
    z-index: -1;
}

.inputfile+label {
    font-family: sans-serif;
    background-color: white;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    padding: 10px 20px;
    border-radius: 10px;
    box-shadow: var(--default-shadow);
    box-sizing: border-box;
}

.inputfile+label {
    cursor: pointer;
}

.inputfile:focus+label {
    outline: 1px dotted #000;
    outline: -webkit-focus-ring-color auto 5px;
}

/* ----- */

body {
    overflow-x: hidden;
    background: #f4f4f4;
    font-family: Nunito, sans-serif;
}

body.popup-open {
    overflow: hidden;
}

* {
    box-sizing: border-box;
}

h1 {
    font-family: 'Pacifico', cursive;
    font-weight: 100;
}

.login-area {
    position: fixed;
    height: 100%;
    width: 100%;
    background: rgba(0, 0, 0, 0.7);
    display: flex;
    z-index: 1000;
}

.login-area .wrapper {
    margin: auto;
    padding: 40px;
    border-radius: 20px;
    background: var(--brand-background);
    display: flex;
    flex-direction: column;
    align-items: center;
    max-width: 90%;
    box-sizing: border-box;
    box-shadow: 0 1px 2px 1px rgba(0, 0, 0, 0.2);
}

.login-titulo {
    text-align: center;
    font-family: sans-serif;
    color: white;
}

.login-titulo h1 {
    text-shadow: 1px 1px rgba(0, 0, 0, 0.2);
    display: flex;
    flex-direction: column;
    align-items: center;
}

.login-titulo .material-icons {
    font-size: 2em;
    margin-bottom: 20px;
    display: flex;
    justify-content: center;
    align-items: center;
    border: 2px solid;
    border-radius: 50%;
    padding: 20px;
    box-shadow: 1px 1px rgba(0, 0, 0, 0.2);
    text-shadow: 1px 1px rgba(0, 0, 0, 0.2);
    user-select: none;
}

.login-titulo p {
    background: rgba(0, 0, 0, 0.1);
    padding: 10px 20px;
    border-radius: 20px;
}

.header {
    background: var(--brand-background);
    width: 100%;
    padding: 12px;
    text-align: center;
    position: fixed;
    z-index: 20;
    height: var(--topbar-height);
    box-shadow: 0 1px 3px rgba(0, 0, 0, 0.2);
}

.title {
    margin: 0;
    color: white;
    font-weight: 100;
}

.user-button {
    position: absolute;
    right: 12px;
    top: 12px;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 42px;
    width: 42px;
    border-radius: 50%;
    color: white;
    border: 2px solid;
    cursor: pointer;
    transition: 200ms ease;
    padding: 0;
}

.user-button:hover {
    background: rgba(0, 0, 0, 0.1);
    box-shadow: 0 1px 3px 1px rgba(0, 0, 0, 0.2);
}

.user-button img {
    width: 100%;
    height: auto;
    border-radius: 50%;
}

.content {
    min-height: calc(100vh - var(--topbar-height) + 24px);
    padding: 10px;
    padding-top: 76px;
}

.footer {
    text-align: center;
    width: 100%;
    padding: 12px;
    background: var(--brand-background);
    color: white;
    letter-spacing: 1px;
}

.footer b {
    color: orangered;
}

.content-card {
    position: relative;
    min-height: 80px;
    margin: auto;
    background: rgba(0, 0, 0, 0.6);
    border-radius: 10px;
    overflow: hidden;
    margin-bottom: 10px;
    color: white;
    padding: 12px 20px;
    box-shadow: var(--default-shadow);
}

.content-bg {
    position: absolute;
    z-index: -1;
    width: 100%;
    left: 0;
    top: -50%;
}

.button-add {
    position: fixed;
    z-index: 10;
    height: 42px;
    width: 42px;
    bottom: 24px;
    right: 12px;
    background: tomato;
    color: white;
    border: 0;
    border-radius: 50%;
    box-shadow: var(--default-shadow);
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;
}

.popup,
.add-pannel {
    position: fixed;
    top: 100%;
    width: 100%;
    height: calc(100% - var(--topbar-height));
    background: white;
    border-radius: 10px 10px 0 0;
    z-index: 16;
    opacity: 0;
    transition: 200ms ease;
}

.popup-close {
    position: absolute;
    right: 12px;
    top: 12px;
    height: 42px;
    width: 42px;
    border-radius: 50%;
    border: 0;
    background: white;
    font-size: 22px;
    display: flex;
    justify-content: center;
    align-items: center;
    box-shadow: 0 2px 3px 1px rgba(0, 0, 0, 0.1);
    z-index: 16;
}

.popup.active,
.add-pannel.active {
    top: var(--topbar-height);
    opacity: 1;
}

.popup-content,
.add-content {
    position: relative;
    height: 100%;
    width: 100%;
    padding: 24px;
    overflow-y: auto;
}

.add-content {
    background-color: #fdeae2;
    padding: 8px 12px;
}

.popup-content::-webkit-scrollbar {
    width: 2px;
}

.pop-img {
    max-width: 100%;
    border-radius: 10px 22px;
}

.pop-title {
    font-family: 'Pacifico', cursive;
    font-weight: lighter;
    font-size: 1.4em;
}

.pop-ingrediente {
    box-shadow: 0 1px 3px rgba(0, 0, 0, 0.1);
    border-radius: 10px;
    padding: 12px;
    background: #fafafa;
    margin-bottom: 8px;
}

.add-content h3 {
    font-family: Pacifico, cursive;
    font-weight: normal;
    font-size: 24px;
    margin-bottom: 40px;
}

.input-g {
    display: flex;
    flex-direction: column;
    margin: 20px 0;
}

.input-g label {
    font-size: 0.8em;
}

.input-g input {
    padding: 8px;
    border-radius: 10px;
    border: 0;
    margin: 4px 0;
    box-shadow: var(--default-shadow);
}

.input-extra button {
    height: 28px;
    width: 28px;
    border-radius: 50%;
    border: 0;
    background-color: whitesmoke;
    color: tomato;
    box-shadow: var(--default-shadow);
    margin-left: 4px;
    display: flex;
    justify-content: center;
    align-items: center;
}

.input-extra {
    display: flex;
    align-items: center;
}

.input-extra input {
    flex-grow: 1;
}

.add-item {
    border-radius: 10px;
    border: 0;
    margin: 4px 0;
    padding: 8px;
    background-color: whitesmoke;
    color: forestgreen;
    box-shadow: var(--default-shadow);
}

.add-footer {
    position: relative;
    bottom: 0;
    width: 100%;
    display: flex;
    align-items: center;
}

.add-footer button {
    padding: 8px;
    flex-grow: 1;
    border-radius: 10px;
    border: 0;
    box-shadow: var(--default-shadow);
    background-color: #eee;
    cursor: pointer;
}

.add-footer .close {
    margin-right: 4px;
}

.add-footer .save {
    background-color: rgb(200, 255, 200);
    margin-left: 4px;
}

.imagem-storage {
    border-radius: 10px;
    background-color: #fff;
    padding: 8px;
    display: flex;
    align-items: center;
}

.imagem-storage a {
    flex-grow: 1;
    max-width: 75%;
    overflow: hidden;
}

.imagem-storage button {
    background-color: tomato;
    border: 0;
    padding: 4px 10px;
    color: white;
    border-radius: 10px;
    flex-grow: 1;
}

.pop-ingrediente.complete {
    text-decoration: line-through;
    font-style: italic;
    background-color: rgb(229, 253, 229);
}